Package Details: grass 7.8.2-1

Git Clone URL: https://aur.archlinux.org/grass.git (read-only, click to copy)
Package Base: grass
Description: Geospatial data management and analysis, image processing, graphics/maps production, spatial modeling and visualization
Upstream URL: http://grass.osgeo.org/
Licenses: GPL
Submitter: Scimmia
Maintainer: Scimmia
Last Packager: Scimmia
Votes: 35
Popularity: 0.50
First Submitted: 2015-09-06 15:10
Last Updated: 2019-12-14 23:26

Dependencies (27)

Required by (1)

Sources (1)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

kikislater commented on 2019-12-15 16:56

Wrong python version inside this grass package (symbolic link). It couldn't work like this. Python2 is deprecated in grass 7.8 Line 55 in PKGBUILD should be deleted, it's a nonsense to link python2 inside grass 7.8 ... Install some extension and you will see some problems !

Scimmia commented on 2019-12-15 15:21

No, everything using python3 calls python3 specifically

kikislater commented on 2019-12-15 08:13

PKGBUILD needs refactor : 7.8 support python 3 not python 2.

Line 55 : # Fix for 3rd party python scripts ln -s ../../../usr/bin/python2 bin/python

Running grass :

~ > which python

/opt/grass/bin/python

:~ > ls -lsa /opt/grass/bin/python

0 lrwxrwxrwx 1 root root 24 15 déc. 08:42 /opt/grass/bin/python -> ../../../usr/bin/python2

loganj commented on 2019-11-22 21:48

grass78
Starting GRASS GIS...
Traceback (most recent call last):
File "/opt/grass/gui/wxpython/core/globalvar.py", line 49, in CheckWxVersion
parsed_version = list(map(int, split_ver))
ValueError: invalid literal for int() with base 10: 'post2'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/opt/grass/gui/wxpython/gis_set.py", line 34, in <module>
from core import globalvar
File "/opt/grass/gui/wxpython/core/globalvar.py", line 237, in <module>
hasAgw = CheckWxVersion([2, 8, 11, 0])
File "/opt/grass/gui/wxpython/core/globalvar.py", line 55, in CheckWxVersion
parsed_version = list(map(int, split_ver[:-1])) + [int(split_ver[-1][:i])]
ValueError: invalid literal for int() with base 10: ''
ERROR: Error in GUI startup. See messages above (if any) and if necessary, please report this error to the GRASS developers.
On systems with package manager, make sure you have the right GUI package, probably named grass-gui, installed.
To run GRASS GIS in text mode use the --text flag.
Use '--help' for further options
grass78 --help
See also: https://grass.osgeo.org/grass78/manuals/helptext.html
Exiting...

Scimmia commented on 2019-11-12 15:08

Seems even 7.8.1 isn't totally ready for python 3.8 (time module changes). If it becomes an issue, let me know and I'll see about patching it.

kikislater commented on 2019-09-30 06:43

There is a ton of problems using 7.8. There is no LTS version on AUR. May be it should be good to use it : Latest stable long term support (LTS) release: GRASS GIS 7.6 source : https://grass.osgeo.org/

Scimmia commented on 2019-09-15 08:03

7.8 PKGBUILD is up. I can't say I'm positive about the deps, mostly the python ones, but it builds in a clean chroot and runs with some limited testing. If anyone runs into issues, let me know.

crust123 commented on 2019-08-31 00:17

Python2 is end of life (EOL; https://pythonclock.org/) and it is likely python2-gdal was removed in preparation for this. GRASS 7.8 will move things to python3 however GRASS 7.8 has yet to be released(https://grass.osgeo.org/download/software/sources/#g78x). If you are desperate, you could work you way though a downgrade (https://wiki.archlinux.org/index.php/Downgrading_packages) but this can be a pain and not recommended.

(Edit: python2-gdal found its way into the AUR)

mludwig commented on 2019-08-30 09:45

Install failed: dependency python2-gdal not available

crust123 commented on 2019-07-19 04:33

PKGBUILD updates: pkgver=7.6.1 md5sums=('9ca74f9010d013f735737a90c65d8a7f')